summaryrefslogtreecommitdiffstats
path: root/desktop/arc-theme
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/arc-theme')
-rw-r--r--desktop/arc-theme/README2
-rw-r--r--desktop/arc-theme/arc-theme.SlackBuild30
-rw-r--r--desktop/arc-theme/arc-theme.info10
-rw-r--r--desktop/arc-theme/slack-desc2
4 files changed, 31 insertions, 13 deletions
diff --git a/desktop/arc-theme/README b/desktop/arc-theme/README
index a9fc04447a..10a45b5c01 100644
--- a/desktop/arc-theme/README
+++ b/desktop/arc-theme/README
@@ -1,3 +1,5 @@
Arc is a flat theme with transparent elements for GTK 3, GTK 2 and
Gnome-Shell which supports GTK 3 and GTK 2 based desktop
environments like Gnome, Unity, Budgie, Pantheon, XFCE, Mate, etc.
+
+inkscape and optipng are build-time dependencies.
diff --git a/desktop/arc-theme/arc-theme.SlackBuild b/desktop/arc-theme/arc-theme.SlackBuild
index d3a596f6b3..8b5bf58ebb 100644
--- a/desktop/arc-theme/arc-theme.SlackBuild
+++ b/desktop/arc-theme/arc-theme.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
#
# Slackware build script for "arc-theme".
@@ -24,10 +24,13 @@
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=arc-theme
-VERSION=${VERSION:-20170302}
+VERSION=${VERSION:-20201121_81130a2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -37,7 +40,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -56,13 +66,16 @@ else
LIBDIRSUFFIX=""
fi
+gnome_shell="--disable-gnome-shell" ; [[ $(which gnome-shell) ]] && gnome_shell=""
+cinnamon="--disable-cinnamon" ; [[ $(which cinnamon-session) ]] && cinnamon=""
+
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
@@ -71,16 +84,19 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-sh autogen.sh
+sed -i "s|export-png=|export-type=png --export-filename=|" common/*/*.am || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-./configure \
+./autogen.sh \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
+ $gnome_shell \
+ $cinnamon \
--build=$ARCH-slackware-linux
make
@@ -94,4 +110,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/arc-theme/arc-theme.info b/desktop/arc-theme/arc-theme.info
index e653a09f81..37e8664521 100644
--- a/desktop/arc-theme/arc-theme.info
+++ b/desktop/arc-theme/arc-theme.info
@@ -1,10 +1,10 @@
PRGNAM="arc-theme"
-VERSION="20170302"
-HOMEPAGE="https://github.com/horst3180/arc-theme/"
-DOWNLOAD="https://github.com/horst3180/arc-theme/archive/20170302/arc-theme-20170302.tar.gz"
-MD5SUM="fe3e397ffc3633c1b5ba3b1d6e2456a7"
+VERSION="20201121_81130a2"
+HOMEPAGE="https://github.com/jnsh/arc-theme"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/arc-theme-20201121_81130a2.tar.xz"
+MD5SUM="bffd762770faf368ad2849534c5e3ad4"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES=""
+REQUIRES="inkscape murrine optipng"
MAINTAINER="Marcel Saegebarth"
EMAIL="marc@mos6581.de"
diff --git a/desktop/arc-theme/slack-desc b/desktop/arc-theme/slack-desc
index a4387212a0..f697d27e12 100644
--- a/desktop/arc-theme/slack-desc
+++ b/desktop/arc-theme/slack-desc
@@ -12,7 +12,7 @@ arc-theme: Arc is a flat theme with transparent elements for GTK 3, GTK 2 and
arc-theme: Gnome-Shell which supports GTK 3 and GTK 2 based desktop
arc-theme: environments like Gnome, Unity, Budgie, Pantheon, XFCE, Mate, etc.
arc-theme:
-arc-theme: Homepage: https://github.com/horst3180/arc-theme/
+arc-theme: Homepage: https://github.com/jnsh/arc-theme
arc-theme:
arc-theme:
arc-theme: